## carman-ui 0.7~beta1-2

=== debian/changelog ===
carman-ui (0.7~beta1-2) unstable; urgency=low

  * Initial release with EVAS and maps

 -- Eduardo Rocha <eduardo.rocha@openbossa.org>  Fri, 19 Sep 2008 15:33:00 -0300

carman-sdl (0.6-2) unstable; urgency=low

  *

 -- Cidorvan Leite <cidorvan.leite@indt.org.br>  Mon, 01 Oct 2007 11:49:00 -0300

carman-sdl (0.6-1) unstable; urgency=low

  * Fixed draw marks in gauge component
  * Changed events struct
  * Added animation in gauge component
  * Ignore invalid sensors
  * Try to use cElementTree instead ElementTree
  * Optimized memory consumption by components
  * Added priority parameters in sensors
  * Changed components parameters name
  * Added timeout for the command
  * Fixed reconnection and finalization of the application
  * Improved components redraw
  * Removed status bar
  * Improved change of screens
  * Added clip in gauge component
  * Removed background color
  * Changed read configuration
  * Added border controls
  * Added screen track control
  * Improved idle time in main loop
  * Added script for launch carman-profiler-manager before if necessary
  * Added mil state
  * Added blender module to improve alpha blending effects

 -- Cidorvan Leite <cidorvan.leite@indt.org.br>  Thu, 15 Feb 2007 14:27:00 -0300

carman-sdl (0.5) unstable; urgency=low

  * Added exit dialog
  * Fixed screen XML struct
  * Added flip screen mode
  * Light button when pressed
  * Fixed reconnection dialog
  * Changed dialog messages

 -- Cidorvan Leite <cidorvan.leite@indt.org.br>  Sat, 10 Feb 2007 19:14:00 -0300

carman-sdl (0.4) unstable; urgency=low

  * Removed profile files
  * Added support for sensors with multiple values
  * Changed read files configuration
  * Added dialog when connection is lost
  * Added new parameters in some components
  * Improved load of resources
  * Modified struct of components

 -- Cidorvan Leite <cidorvan.leite@indt.org.br>  Tue, 30 Jan 2007 14:00:00 -0300

carman-sdl (0.3.1) unstable; urgency=low

  * Added icons to desktop file

 -- Eduardo de Barros Lima <eduardo.lima@indt.org.br>  Fri, 26 Jan 2007 11:47:38 -0300

carman-sdl (0.3) unstable; urgency=low

  * Added new transition among screens
  * Added new screen
  * Added support for extern code in profile
  * Fixed dialog without images
  * Added support for imperial unit

 -- Cidorvan Leite <cidorvan.leite@indt.org.br>  Mon, 22 Jan 2007 18:09:00 -0300

carman-sdl (0.2) unstable; urgency=low

  * Added new screen
  * Added bluetooth and serial connection
  * Added splash screen
  * Disabled screen blanking on maemo platform
  * Added errors dialog
  * Added profile support
  * Added component display and midbar
  * Removed plugins
  * Changed theme images

 -- Cidorvan Leite <cidorvan.leite@indt.org.br>  Sat, 13 Jan 2007 20:07:00 -0300

carman-sdl (0.1) unstable; urgency=low

  * Initial release

 -- Cidorvan Leite <cidorvan.leite@indt.org.br>  Mon, 18 Dec 2006 11:01:00 -0300

## carman-ui 0.7~beta1-9

=== main/Makefile ===
all:
	gcc -shared -fPIC -Wall -O2 -I /usr/include/python2.5 -levas evasutil.c -o evasutil.so
	gcc -shared -fPIC -Wall -O2 -I /usr/include/python2.5 -levas trip.c -o trip.so

clean:
	rm -rf *.o evasutil.so trip.so

## carman-ui 0.7~beta1-8

=== debian/changelog ===
carman-ui (0.7~beta1-8) unstable; urgency=low

  * Initial release with EVAS and maps

 -- Eduardo Rocha <eduardo.rocha@openbossa.org>  Fri, 19 Sep 2008 15:33:00 -0300

=== debian/control ===
Source: carman-ui
Section: accessories
Priority: optional
Maintainer: Eduardo Rocha <eduardo.rocha@openbossa.org>
Build-Depends: debhelper (>=4), python2.5-dev, python2.5-efl-core (>=0.9.9.043+svn36098-maemo1) , libevas0-dev (>=0.9.9.043+svn36098-maemo1) , python2.5-evas-dev (>=0.3.0+svn36098-maemo1), carmand-dev (>= 0.7~beta1-2)
Standards-Version: 3.6.0

Package: carman-ui
Architecture: any
Depends: python2.5, python2.5-efl-core (>=0.9.9.043+svn36098-maemo1), python-pycurl | python2.5-pycurl, python2.5-rtree, hildon-imf-ecore, carmand (>= ${Source-Version})
Description: Carman EVAS(rich view) application
Replaces: carman-common, carman-sdl-ui, carman-gtk-ui
Conflicts: carman-common, carman-sdl-ui, carman-gtk-ui
Provides: carman-ui

## carman-ui 0.7~beta1-9

=== debian/changelog ===
carman-ui (0.7~beta1-9) unstable; urgency=low

  * Fixed the code to load the default map repository if the selected one was
  removed
  * Fixed the UI to do not show the connecting dialog if in simulator mode
  (for the first usage)
  * Added keyboard support from N810 to the pairing dialog
  * Fixed the Carman UI to remove the pairing dialog if the pairing operation
  timed out

 -- Eduardo Rocha <eduardo.rocha@openbossa.org>  Mon, 15 Dec 2008 16:55:00 -0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: accessories
 Priority: optional
 Maintainer: Eduardo Rocha <eduardo.rocha@openbossa.org>
-Build-Depends: debhelper (>=4), python2.5-dev, python2.5-efl-core (>=0.9.9.043+svn36098-maemo1) , libevas0-dev (>=0.9.9.043+svn36098-maemo1) , python2.5-evas-dev (>=0.3.0+svn36098-maemo1), carmand-dev (>= 0.7~beta1-2)
+Build-Depends: debhelper (>=4), python2.5-dev, python2.5-efl-core (>=0.9.9.043+svn36098-maemo1) , libevas0-dev (>=0.9.9.043+svn36098-maemo1) , python2.5-evas-dev (>=0.3.0+svn36098-maemo1), carmand-dev (>=0.7~beta1-9)
 Standards-Version: 3.6.0
 
 Package: carman-ui

## carman-ui 0.7~beta1-10.0

=== debian/changelog ===
carman-ui (0.7~beta1-10.0) unstable; urgency=low

  * Changed version to match carman's version.

 -- Ragner Magalhaes <ragner.magalhaes@openbossa.org>  Tue, 27 Jan 2009 15:35:19 -0400

=== debian/control ===
Source: carman-ui
Section: accessories
Priority: optional
Maintainer: Eduardo Rocha <eduardo.rocha@openbossa.org>
Build-Depends: debhelper (>=4), python2.5-dev, python2.5-efl-core (>=0.9.9.050+svn38798-maemo1), libevas0-dev (>=0.9.9.050+svn38812-maemo1), libeina-dev (>=0.0.1+svn38812-maemo1), python2.5-evas-dev (>=0.3.1+svn38812-maemo1), carmand-dev (>=0.7~beta1-10.0)
Standards-Version: 3.6.0

Package: carman-ui
Architecture: any
Depends: python2.5, python2.5-efl-core (>=0.9.9.050+svn38798-maemo1), libeina0 (>=0.0.1+svn38812-maemo1), python-pycurl | python2.5-pycurl, python2.5-rtree, hildon-imf-ecore, carmand (>= ${Source-Version})
Description: Carman EVAS(rich view) application
Replaces: carman-common, carman-sdl-ui, carman-gtk-ui
Conflicts: carman-common, carman-sdl-ui, carman-gtk-ui
Provides: carman-ui

## carman-ui 0.7~beta1-11

=== debian/changelog ===
carman-ui (0.7~beta1-11) unstable; urgency=low

  * Fixed new data trip. Changed ecore engine comparison.

 -- Ragner Magalhaes <ragner.magalhaes@openbossa.org>  Mon, 02 Feb 2009 18:41:04 -0400

=== debian/control ===
Source: carman-ui
Section: accessories
Priority: optional
Maintainer: Eduardo Rocha <eduardo.rocha@openbossa.org>
Build-Depends: debhelper (>=4), python2.5-dev, python2.5-efl-core (>=0.9.9.050+svn38845-maemo1), libevas0-dev (>=0.9.9.050+svn38845-maemo1), libeina-dev (>=0.0.1+svn38845-maemo1), python2.5-evas-dev (>=0.3.1+svn38845-maemo1), carmand-dev (>=0.7~beta1-11)
Standards-Version: 3.6.0

Package: carman-ui
Architecture: any
Depends: python2.5, python2.5-efl-core (>=0.9.9.050+svn38845-maemo1), libeina0 (>=0.0.1+svn38845-maemo1), python-pycurl | python2.5-pycurl, python2.5-rtree, hildon-imf-ecore, carmand (>= ${Source-Version})
Description: Carman EVAS(rich view) application
Replaces: carman-common, carman-sdl-ui, carman-gtk-ui
Conflicts: carman-common, carman-sdl-ui, carman-gtk-ui
Provides: carman-ui

## carman-ui 0.7~beta2-7

=== debian/changelog ===
carman-ui (0.7~beta2-7) unstable; urgency=low

  * Carman new release.

 -- Anderson Briglia <anderson.briglia@openbossa.org>  Wed, 18 Mar 2009 14:45:10 -0400

carman-ui (0.7~beta2-6) unstable; urgency=low

  * Carman new release.

 -- Anderson Briglia <anderson.briglia@openbossa.org>  Mon, 16 Mar 2009 21:13:10 -0400

carman-ui (0.7~beta2-5) unstable; urgency=low

  * Carman new release 

 -- Anderson Briglia <anderson.briglia@indt.org.br>  Fri, 20 Feb 2009 08:51:41 -0400

carman-ui (0.7~beta2-4) unstable; urgency=low

  * Carman new release.

 -- Frederico Duarte <frederico.duarte@indt.org.br>  Tue, 27 Jan 2009 22:22:49 -0400

carman-ui (0.7~beta2-1) unstable; urgency=low

  * Carman new release.

 -- Ricardo Guimaraes <ricardo.guimaraes@openbossa.org>  Sun, 11 Jan 2009 01:45:00 -0300

=== debian/control ===
Source: carman-ui
Section: accessories
Priority: optional
Maintainer: Eduardo Rocha <eduardo.rocha@openbossa.org>
Build-Depends: debhelper (>=4), python2.5-dev,
 python2.5-efl-core (>=0.9.9.050+svn38845-maemo1),
 libevas0-dev (>=0.9.9.050+svn38845-maemo1),
 python2.5-evas-dev (>=0.3.1+svn38845-maemo1), carmand-dev (>= 0.7~beta2-4)
Standards-Version: 3.6.0

Package: carman-ui
Architecture: any
Depends: python | python2.5, python2.5-efl-core (>=0.9.9.050+svn38845-maemo1),
 python-pycurl | python2.5-pycurl, python2.5-rtree, hildon-imf-ecore,
 carmand (>= ${Source-Version})
Description: Carman EVAS(rich view) application
Replaces: carman-common, carman-sdl-ui, carman-gtk-ui
Conflicts: carman-common, carman-sdl-ui, carman-gtk-ui
Provides: carman-ui

## carman-ui 0.7~pre-alpha1-1

=== main/Makefile ===
all:
	gcc -shared -fPIC -Wall -O2 -I /usr/include/python2.5 -levas -leina -I /usr/include/eina-0 -I /usr/include/eina-0/eina  evasutil.c -o evasutil.so
	gcc -shared -fPIC -Wall -O2 -I /usr/include/python2.5 -levas -leina -I /usr/include/eina-0 -I /usr/include/eina-0/eina trip.c -o trip.so

clean:
	rm -rf *.o evasutil.so trip.so

=== debian/changelog ===
carman-ui (0.7~pre-alpha1-1) unstable; urgency=low

  * Test release for N900

 -- Juha Paalijärvi <juha.paalijarvi@gmail.com>  Tue, 15 Jun 2010 20:14:47 +0300

carman-ui (0.7) unstable; urgency=low

  * Fixed bugs on Trips.
  * Fixed bugs on Maps.

 -- Anderson Briglia <anderson.briglia@openbossa.org>  Wed, 01 Apr 2009 11:19:55 -0400

=== debian/control ===
Source: carman-ui
Section: accessories
Priority: optional
Maintainer: Juha Paalijarvi <juha.paalijarvi@gmail.com>
Build-Depends: debhelper (>=4), python2.5-dev,
 python2.5-efl-core (>=0.9.9.050+svn38845-maemo1),
 libevas0-dev (>=0.9.9.050+svn38845-maemo1),
 python2.5-evas-dev (>=0.3.1+svn38845-maemo1),
 carmand-dev (>= 0.7~pre-alpha1-1),
 python-gdbm (>=2.6.3)
Standards-Version: 3.6.0

Package: carman-ui
Architecture: any
Depends: python | python2.5, python2.5-efl-core (>=0.9.9.050+svn38845-maemo1),
 python-pycurl | python2.5-pycurl, python2.5-rtree, hildon-imf-ecore,
 python-gdbm (>=2.6.3), python-gst0.10 (>=0.10.14-2maemo5),
 carmand (>= ${Source-Version})
Description: Carman EVAS(rich view) application
Replaces: carman-common, carman-sdl-ui, carman-gtk-ui
Conflicts: carman-common, carman-sdl-ui, carman-gtk-ui
Provides: carman-ui

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_ALWAYS_EXCLUDE=CVS:.svn

PYVER=2.5
PYTHON=python$(PYVER)

PREFIX=debian/tmp

build: build-stamp

build-stamp:
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_clean -k

	@rm -rf build

	@$(PYTHON) setup.py install --prefix=$(PREFIX)/usr --no-compile --install-platlib=$(PREFIX)/usr/share/carman/carman-evas
	@$(PYTHON) -OO -m compileall -f $(PREFIX)/usr
	@install carman-evas $(PREFIX)/usr/bin

	@install -D -m 0644 data/icons/carman_26x26.png debian/carman-ui/usr/share/pixmaps/carman.png
	@install -D -m 0644 data/icons/carman_26x26.png debian/carman-ui/usr/share/icons/hicolor/26x26/hildon/carman.png
	@install -D -m 0644 data/icons/carman_64x54.png debian/carman-ui/usr/share/icons/hicolor/scalable/hildon/carman.png

	dh_install

# Build architecture-independent files here.
binary-indep:

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: clean binary-indep binary-arch binary install
